[yelp-xsl] autogen.sh: Use autoreconf instead gnome-common
- From: Javier JardÃn <jjardon src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [yelp-xsl] autogen.sh: Use autoreconf instead gnome-common
- Date: Tue, 8 Jan 2013 16:10:13 +0000 (UTC)
commit e9188474dc2f8987a61db274f1ae9981a8f77f20
Author: Javier <jjardon gnome org>
Date: Tue Jan 8 16:01:33 2013 +0000
autogen.sh: Use autoreconf instead gnome-common
autogen.sh | 35 +++++++++++++++++++----------------
1 files changed, 19 insertions(+), 16 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 30fdc7f..6aed97f 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,23 +1,26 @@
#!/bin/sh
# Run this to generate all the initial makefiles, etc.
-srcdir=`dirname $0`
-test -z "$srcdir" && srcdir=.
-abs_srcdir=`(cd $srcdir && pwd)`
+test -n "$srcdir" || srcdir=`dirname "$0"`
+test -n "$srcdir" || srcdir=.
-PKG_NAME="yelp-xsl"
+olddir=`pwd`
+cd $srcdir
-(test -f $srcdir/configure.ac \
- && test -f $srcdir/README \
- && test -d $srcdir/xslt) || {
- echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
- echo " top-level $PKG_NAME directory"
- exit 1
-}
+AUTORECONF=`which autoreconf`
+if test -z $AUTORECONF; then
+ echo "*** No autoreconf found, please intall it ***"
+ exit 1
+fi
-which gnome-autogen.sh || {
- echo "You need to install gnome-common from git.gnome.org"
- exit 1
-}
+INTLTOOLIZE=`which intltoolize`
+if test -z $INTLTOOLIZE; then
+ echo "*** No intltoolize found, please install the intltool package ***"
+ exit 1
+fi
-USE_GNOME2_MACROS=1 . gnome-autogen.sh
+intltoolize --automake --copy
+autoreconf --force --install --verbose
+
+cd $olddir
+test -n "$NOCONFIGURE" || "$srcdir/configure" "$@"
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]